<template>
  <error-display></error-display>
  <q-page class="row justify-center">
    <div class="col">
        <q-tabs
          v-model="tab"
          dense
          class="text-grey"
          active-color="primary"
          indicator-color="primary"
          align="justify"
          narrow-indicator
        >
          <q-tab name="vehicle" label="Fahrzeug" />
          <q-tab name="file-manager" label="Dateien" />
          <q-tab name="models" label="Models" />
          <q-tab name="debug" label="Debug" />
        </q-tabs>

        <q-separator />

        <q-tab-panels v-model="tab" animated class="row justify-center">
          <q-tab-panel name="vehicle" class="col">
            <vehicle-component />
          </q-tab-panel>

          <q-tab-panel name="file-manager" class="col">
            <up-download-component />
          </q-tab-panel>

          <q-tab-panel name="models" class="col">
            <model-manager-component />
          </q-tab-panel>

          <q-tab-panel name="debug" class="col">
            <debug-component />
          </q-tab-panel>

        </q-tab-panels>
      </div>
  </q-page>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import ErrorDisplay from 'components/ErrorDisplay.vue';
import VehicleComponent from 'components/vehicle/VehicleComponent.vue';
import UpDownloadComponent from 'components/data-manager/UpDownloadComponent.vue';
import ModelManagerComponent from 'components/model-manager/ModelManagerComponent.vue';
import DebugComponent from 'components/debug/DebugComponent.vue';

const tab = ref('vehicle');

</script>
